<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>@ViewData["Title"] - @ViewData["AppName"]</title>
    <link rel="stylesheet" type="text/css" href="~/lib/bootstrap/dist/css/bootstrap.min.css"/>
    <link rel="stylesheet" type="text/css" href="~/css/site.css" runat="server"/>
    <link rel="stylesheet" type="text/css" href="~/css/daterangepicker.css" runat="server"/>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
        <div class="container">
            <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Delegate Wise</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                <ul class="navbar-nav flex-grow-1">
                    <li class="nav-item">
                        @Html.ActionLink("Logs", "Index", "Logs",null, new {id = "element" })
                    </li>
                    <li class="nav-item">
                        @Html.ActionLink("Account", "Index", "Account",null, new {id = "element" })
                    </li>
                    @if (User.IsInRole("Admin"))
                    {
                        <li class="nav-item">
                            @Html.ActionLink("Invite", "GenerateInvitation", "Users",null, new {id = "element" })
                        </li>
                        <li class="nav-item">
                            @Html.ActionLink("Users", "Index", "Users",null, new {id = "element" })
                        </li>
                    }
                    <li class="nav-item">
                        @Html.ActionLink("Logout", "Logout", "Login",null, new {id = "element" })
                    </li>

                </ul>
            </div>
        </div>
    </nav>
</header>
<div class="container">
    <main role="main" class="pb-3">
        @RenderBody()
    </main>
</div>
<script src="~/lib/jquery/dist/jquery.min.js"></script>
<script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<script src="~/js/canvasjs.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
@RenderSection("Scripts", required: false)
</body>
</html>